Bug 8622 - не устанавливается
: не устанавливается
Status: CLOSED NOTABUG
: Sisyphus
(All bugs in Sisyphus/libqt4-devel)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-12-11 15:09 by
Modified: 2005-12-13 13:28 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-12-11 15:09:53
thresh@snowflake projects/lastfm/player-trunk $ sudo apt-get install
libqt4-devel
Чтение списков пакетов... Завершено
Построение дерева зависимостей... Завершено
Следующие дополнительные пакеты будут установлены:
  fontconfig-devel freetype2-devel libaudio-devel libqt4 libqt4-core libqt4-gui
libqt4-network libqt4-opengl libqt4-qt3support
  libqt4-sql libqt4-xml qt4-common qt4-settings
Следующие НОВЫЕ пакеты будут установлены:
  fontconfig-devel freetype2-devel libaudio-devel libqt4 libqt4-core
libqt4-devel libqt4-gui libqt4-network libqt4-opengl
  libqt4-qt3support libqt4-sql libqt4-xml qt4-common qt4-settings
0 будет обновлено, 14 новых установлено, 0 пакетов будет удалено и 1 не будет
обновлено.
Необходимо получить 0B/7898kB архивов.
После распаковки потребуется дополнительно 22,0MB дискового пространства.
Продолжить? [Y/n] 
Совершаем изменения...
error: failed to stat /mnt/cryo: Permission denied
Preparing...                  
###################################################################################################
[100%]
 1: fontconfig-devel          
###################################################################################################
[  7%]
 2: freetype2-devel           
###################################################################################################
[ 14%]
 3: libaudio-devel            
###################################################################################################
[ 21%]
 4: qt4-settings              
###################################################################################################
[ 28%]
 5: libqt4-core               
###################################################################################################
[ 35%]
 6: libqt4-gui                
###################################################################################################
[ 42%]
 7: libqt4-network            
###################################################################################################
[ 50%]
 8: libqt4-sql                
###################################################################################################
[ 57%]
 9: libqt4-xml                
###################################################################################################
[ 64%]
10: qt4-common                
###################################################################################################
[ 71%]
11: libqt4-qt3support         
###################################################################################################
[ 78%]
12: libqt4-opengl             
###################################################################################################
[ 85%]
13: libqt4-devel               error: unpacking of archive failed on file
/usr/lib/qt4/include: cpio: rename failed - Is a directory 95%)
W: Произошли ошибки при выполнении транзакции

версия: libqt4-devel-4.0.1-alt2
Steps to Reproduce:
1. apt-get install libqt4-devel
2.
3.
------- Comment #1 From 2005-12-12 14:10:51 -------
А до 1-й установки пакета моей сборки у Вас был каталог /usr/lib/qt4/include ? 
------- Comment #2 From 2005-12-12 17:16:57 -------
(In reply to comment #1)
> А до 1-й установки пакета моей сборки у Вас был каталог /usr/lib/qt4/include ? 
Ну, если не удалился от дедаловской сборки, то -- да. Вот выдержки из all.log по
поводу qt4:

Oct 18 17:20:12 snowflake rpm: libqt4-0:4.0.1-alt0.3 installed
Oct 18 17:20:45 snowflake rpm: libqt4-devel-0:4.0.1-alt0.3 installed
Oct 27 16:23:26 snowflake apt-get: libqt4-devel-0:4.0.1-alt0.3 removed
Oct 27 16:23:40 snowflake apt-get: libqt4-0:4.0.1-alt0.3 removed

Dec 11 15:03:57 snowflake apt-get: qt4-settings-0:4.0-alt3 installed
Dec 11 15:03:57 snowflake apt-get: libqt4-core-0:4.0.1-alt2 installed
Dec 11 15:03:58 snowflake apt-get: libqt4-gui-0:4.0.1-alt2 installed
Dec 11 15:03:59 snowflake apt-get: libqt4-network-0:4.0.1-alt2 installed
Dec 11 15:03:59 snowflake apt-get: libqt4-sql-0:4.0.1-alt2 installed
Dec 11 15:03:59 snowflake apt-get: libqt4-xml-0:4.0.1-alt2 installed
Dec 11 15:04:00 snowflake apt-get: qt4-common-0:4.0.1-alt2 installed
Dec 11 15:04:00 snowflake apt-get: libqt4-qt3support-0:4.0.1-alt2 installed
Dec 11 15:04:01 snowflake apt-get: libqt4-opengl-0:4.0.1-alt2 installed
Dec 11 15:04:01 snowflake apt-get: libqt4-0:4.0.1-alt2 installed
Dec 11 15:07:50 snowflake apt-get: libqt4-devel-0:4.0.1-alt2 installed
------- Comment #3 From 2005-12-12 19:31:45 -------
тогда я ничем не помогу 
------- Comment #4 From 2005-12-12 19:37:46 -------
ну собственно на свежей машинке не проявляется. 

закрываю.
------- Comment #5 From 2005-12-13 13:28:53 -------
(In reply to comment #3) 
> тогда я ничем не помогу  
т.к. извращаться придется, поэтому и писал, что нужно удалить qt4 не моей 
сборки до установки